<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CS 250 Data Structures: DataStructure/SmartTable/SmartTable.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CS 250 Data Structures
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_61f8caed08096df072032ac640f6feca.html">DataStructure</a></li><li class="navelem"><a class="el" href="dir_1e82a1e4a3c2ade43ab2a99fad8ca4da.html">SmartTable</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">SmartTable.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
<code>#include &quot;<a class="el" href="SmartTableNode_8h_source.html">SmartTableNode.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="ILinearDataStructure_8h_source.html">../Interfaces/ILinearDataStructure.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="StringUtil_8h_source.html">../../Utilities/StringUtil.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="NotImplementedException_8h_source.html">../../Exceptions/NotImplementedException.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="StructureFullException_8h_source.html">../../Exceptions/StructureFullException.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="StructureEmptyException_8h_source.html">../../Exceptions/StructureEmptyException.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="InvalidIndexException_8h_source.html">../../Exceptions/InvalidIndexException.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="ItemNotFoundException_8h_source.html">../../Exceptions/ItemNotFoundException.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="NullptrException_8h_source.html">../../Exceptions/NullptrException.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for SmartTable.h:</div>
<div class="dyncontent">
<div class="center"><img src="SmartTable_8h__incl.png" border="0" usemap="#DataStructure_2SmartTable_2SmartTable_8h" alt=""/></div>
<map name="DataStructure_2SmartTable_2SmartTable_8h" id="DataStructure_2SmartTable_2SmartTable_8h">
<area shape="rect" title=" " alt="" coords="771,5,944,47"/>
<area shape="rect" title=" " alt="" coords="5,102,77,129"/>
<area shape="rect" href="SmartTableNode_8h.html" title=" " alt="" coords="101,102,232,129"/>
<area shape="rect" href="ILinearDataStructure_8h.html" title=" " alt="" coords="256,95,419,136"/>
<area shape="rect" href="StringUtil_8h.html" title=" " alt="" coords="1605,102,1763,129"/>
<area shape="rect" href="NotImplementedException_8h.html" title=" " alt="" coords="443,95,653,136"/>
<area shape="rect" href="StructureFullException_8h.html" title=" " alt="" coords="677,95,845,136"/>
<area shape="rect" href="StructureEmptyException_8h.html" title=" " alt="" coords="869,95,1037,136"/>
<area shape="rect" href="InvalidIndexException_8h.html" title=" " alt="" coords="1062,95,1215,136"/>
<area shape="rect" href="ItemNotFoundException_8h.html" title=" " alt="" coords="1240,95,1403,136"/>
<area shape="rect" href="NullptrException_8h.html" title=" " alt="" coords="1427,95,1581,136"/>
<area shape="rect" title=" " alt="" coords="303,184,372,211"/>
<area shape="rect" title=" " alt="" coords="1111,184,1166,211"/>
<area shape="rect" title=" " alt="" coords="1693,184,1763,211"/>
<area shape="rect" title=" " alt="" coords="1611,184,1669,211"/>
<area shape="rect" title=" " alt="" coords="961,184,1039,211"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="SmartTable_8h__dep__incl.png" border="0" usemap="#DataStructure_2SmartTable_2SmartTable_8hdep" alt=""/></div>
<map name="DataStructure_2SmartTable_2SmartTable_8hdep" id="DataStructure_2SmartTable_2SmartTable_8hdep">
<area shape="rect" title=" " alt="" coords="91,5,265,47"/>
<area shape="rect" href="HashTable_8h.html" title=" " alt="" coords="93,95,263,136"/>
<area shape="rect" href="HashTableTester_8h.html" title=" " alt="" coords="5,184,175,225"/>
<area shape="rect" href="Program_8h.html" title=" " alt="" coords="199,191,333,218"/>
<area shape="rect" href="main_8cpp.html" title=" " alt="" coords="73,273,147,300"/>
<area shape="rect" href="Program_8cpp.html" title=" " alt="" coords="191,273,341,300"/>
</map>
</div>
</div>
<p><a href="SmartTable_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataStructure_1_1SmartTable.html">DataStructure::SmartTable&lt; T &gt;</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">A data structure that wraps a dynamic array.  <a href="classDataStructure_1_1SmartTable.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceDataStructure"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceDataStructure.html">DataStructure</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
